Signals {base} | R Documentation

## Interrupting Execution of R

### Description

On receiving `SIGUSR1` R will save the workspace and quit. `SIGUSR2` has the same result except that the `.Last` function and `on.exit` expressions will not be called.

### Usage

    kill -USR1 pid
    kill -USR2 pid

### Arguments

`pid` | The process ID of the R process

### Warning

It is possible that one or more R objects will be undergoing modification at the time the signal is sent. These objects could be saved in a corrupted form.

[Package Contents]